Package net.snowflake.client.core.auth.wif

## Class AwsAttestationService

- java.lang.Object
- - net.snowflake.client.core.auth.wif.AwsAttestationService

    @SnowflakeJdbcInternalApi
    public class AwsAttestationService
    extends Object

### Field Summary

Fields
`static SFLogger` `logger`

### Constructor Summary

Constructors
`AwsAttestationService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.amazonaws.auth.AWSCredentials` `getAWSCredentials()`
`String` `getCallerIdentityArn​(com.amazonaws.auth.AWSCredentials credentials, int timeoutMs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    public static final SFLogger logger

### Constructor Detail

#### AwsAttestationService

    public AwsAttestationService()

### Method Detail

#### getAWSCredentials

    public com.amazonaws.auth.AWSCredentials getAWSCredentials()

#### getCallerIdentityArn

    public String getCallerIdentityArn​(com.amazonaws.auth.AWSCredentials credentials,
                                       int timeoutMs)